com.impinj.octane

## Class AutoStopConfig

- java.lang.Object
- - com.impinj.octane.AutoStopConfig

-     public class AutoStopConfig
      extends java.lang.Object

  The ImpinjReader can be configured to stop inventory automatically based on several inputs including General purpose input (GPI) and time. This class holds the configuration for the Auto stop feature.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoStopConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDurationInMs()`
    `java.lang.Boolean` | `getGpiLevel()`
    `int` | `getGpiPortNumber()`
    `AutoStopMode` | `getMode()`
    `long` | `getTimeout()`
    `void` | `setDurationInMs(long durationInMs)`
    `void` | `setGpiLevel(java.lang.Boolean gpiLevel)`
    `void` | `setGpiPortNumber(int gpiPortNumber)`
    `void` | `setMode(AutoStopMode mode)`
    `void` | `setTimeout(long timeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoStopConfig

          public AutoStopConfig()

  - ### Method Detail

    - #### getMode

          public AutoStopMode getMode()

      Returns:
        the current auto stop mode for the device

    - #### setMode

          public void setMode(AutoStopMode mode)

      Parameters:
        `mode` - the desired auto stop mode for the device

    - #### getDurationInMs

          public long getDurationInMs()

      Returns:
        the current configured duration for the periodic auto stop mode

    - #### setDurationInMs

          public void setDurationInMs(long durationInMs)

      Parameters:
        `durationInMs` - the desired configuration for the periodic auto stop mode

    - #### getGpiPortNumber

          public int getGpiPortNumber()

      Returns:
        the current port number for the GPI auto stop mode

    - #### setGpiPortNumber

          public void setGpiPortNumber(int gpiPortNumber)

      Parameters:
        `gpiPortNumber` - the desired GPI port number for the periodic auto stop mode

    - #### getGpiLevel

          public java.lang.Boolean getGpiLevel()

      Returns:
        the configured GPI level that will trigger an auto stop when using the GPI auto stop mode.

    - #### setGpiLevel

          public void setGpiLevel(java.lang.Boolean gpiLevel)

      Parameters:
        `gpiLevel` - the desired GPI level that will trigger an auto stop when using the GPI auto stop mode.

    - #### getTimeout

          public long getTimeout()

      Returns:
        the current configured timeout for the auto stop. This applies only when the auto stop mode is GPI. A value of zero indicates and indefinite timeout

    - #### setTimeout

          public void setTimeout(long timeout)

      Parameters:
        `timeout` - the desired timeout for the auto stop. This applies only when the auto stop mode is GPI. A value of 0 indicates an indefinite timeout